Bug Hunting Session
Bug 106175 - Help viewer: <sub> tag is not supported in localized (l10n) help
Summary: Help viewer: <sub> tag is not supported in localized (l10n) help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0 target:5.4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-24 14:39 UTC by Laurent BP
Modified: 2017-06-20 20:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Help display In English(US) and French (14.93 KB, image/png)
2017-02-24 16:03 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2017-02-24 14:39:42 UTC
Description: In Chart Help, subscript formatting with <sub></sub> tag is not rendered in localized help (tested with fr, es and de)

Steps to reproduce:
1. Open Calc, F1 to launch Help
2. Find, search "trend lines" > Trend Lines*
3. In paragraph "Trend Lines Curve Types", look at line about Polynomial trend line

Actual behavior:
In English, equation is correctly rendered with 'i' as subscript for 'a' and superscript for 'x', while in other languages (de, es and fr tested) the equation is
y=Σ(a<sub>i</sub>∙xi)
('i' is correctly as superscript for 'x')

Expected behavior:
<sub> tag should also be rendered in all languages.

Tested with Version: 5.3.1.1 (x64)
Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: CL
with embedded help for each language tested.

Note that on wikihelp, whatever the language, subscript and superscript tags are simply ignored.
https://help.libreoffice.org/Chart/Trend_Lines#Trend_Lines_Curve_Types

* "Curvas de Regresión" in Spanish (es), "Trendlinien" in German (de) and "Courbes de tendance" in French
Comment 1 Jacques Guilleron 2017-02-24 16:03:07 UTC
Created attachment 131456 [details]
Help display In English(US) and French

Hi Laurent,

I reproduce with:
LO 5.3.1.1 Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; Locale : fr-FR (fr_FR); Calc: CL

Local Help tried for English(US) and French.
See attachment.
Comment 2 Laurent BP 2017-02-24 18:40:59 UTC
Thanks Jacques for your confirmation
Comment 3 Commit Notification 2017-06-19 09:14:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6721e35f5a24c0a3ca343030115f1bf58f0627b5

tdf#106175 Support <sub> tag in localized help text as well

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-20 19:53:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d6cf3f0ac2b2677e656b40197c96eac36b65773&h=libreoffice-5-4

tdf#106175 Support <sub> tag in localized help text as well

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.